> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Users Querytransactions

POST https://api.simjuno.com/v1/admin/users/{userId}/transactions/query
Content-Type: application/json

Query user transactions with dynamic columns, filters, and sorting

Reference: https://docs.simjuno.com/api-reference/admin/users-querytransactions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /admin/users/{userId}/transactions/query:
    post:
      operationId: users-querytransactions
      summary: Users Querytransactions
      description: Query user transactions with dynamic columns, filters, and sorting
      tags:
        - admin
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin_usersQuerytransactions_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                columns:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaColumnsItems
                  default:
                    - id
                    - payment_method
                    - amount
                    - status
                    - type
                    - created_at
                filters:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItems
                  default: []
                sortBy:
                  $ref: >-
                    #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortBy
                  default: created_at
                sortOrder:
                  $ref: >-
                    #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortOrder
                  default: desc
                page:
                  type: integer
                  default: 1
                limit:
                  type: integer
                  default: 10
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaColumnsItems:
      type: string
      enum:
        - id
        - payment_method
        - amount
        - status
        - type
        - created_at
        - metadata
        - reference_id
        - coupon_id
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaColumnsItems
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsColumn:
      type: string
      enum:
        - id
        - payment_method
        - amount
        - status
        - type
        - created_at
        - metadata
        - reference_id
        - coupon_id
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsColumn
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsOperator:
      type: string
      enum:
        - eq
        - neq
        - gt
        - gte
        - lt
        - lte
        - like
        - ilike
        - not_like
        - in
        - is_null
        - is_not_null
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsOperator
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItems:
      type: object
      properties:
        column:
          $ref: >-
            #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsColumn
        operator:
          $ref: >-
            #/components/schemas/AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItemsOperator
        value:
          type: string
      required:
        - column
        - operator
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaFiltersItems
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortBy:
      type: string
      enum:
        - created_at
        - amount
        - status
        - type
        - payment_method
        - id
      default: created_at
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortBy
    AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortOrder:
      type: string
      enum:
        - asc
        - desc
      default: desc
      title: >-
        AdminUsersUserIdTransactionsQueryPostRequestBodyContentApplicationJsonSchemaSortOrder
    AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaColumnsItems:
      type: string
      enum:
        - id
        - payment_method
        - amount
        - status
        - type
        - created_at
        - metadata
        - reference_id
        - coupon_id
      title: >-
        AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaColumnsItems
    AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaRowsItems:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
        - type: string
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            description: Any type
      title: >-
        AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaRowsItems
    AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaPagination:
      type: object
      properties:
        total:
          type: number
          format: double
        page:
          type: number
          format: double
        limit:
          type: number
          format: double
        totalPages:
          type: number
          format: double
      required:
        - total
        - page
        - limit
        - totalPages
      title: >-
        AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaPagination
    admin_usersQuerytransactions_Response_200:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaColumnsItems
        rows:
          type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - $ref: >-
                    #/components/schemas/AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaRowsItems
                - type: 'null'
        pagination:
          $ref: >-
            #/components/schemas/AdminUsersUserIdTransactionsQueryPostResponsesContentApplicationJsonSchemaPagination
      required:
        - columns
        - rows
        - pagination
      title: admin_usersQuerytransactions_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "columns": [
    "id"
  ],
  "rows": [
    {}
  ],
  "pagination": {
    "total": 1.1,
    "page": 1.1,
    "limit": 1.1,
    "totalPages": 1.1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/admin/users/userId/transactions/query"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/admin/users/userId/transactions/query';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/admin/users/userId/transactions/query"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/admin/users/userId/transactions/query")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.simjuno.com/v1/admin/users/userId/transactions/query")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.simjuno.com/v1/admin/users/userId/transactions/query', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/admin/users/userId/transactions/query");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/admin/users/userId/transactions/query")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```